## org.apache.taglibs.standard.tag.common.core
Class ForEachSupport.SimpleForEachIterator

    java.lang.Object
      org.apache.taglibs.standard.tag.common.core.ForEachSupport.SimpleForEachIterator

All Implemented Interfaces:
  ForEachSupport.ForEachIterator

Enclosing class:
  ForEachSupport

    protected class ForEachSupport.SimpleForEachIterator

extends Object
implements ForEachSupport.ForEachIterator

Constructor Summary
`ForEachSupport.SimpleForEachIterator(Iterator i)`

Method Summary
`boolean` `hasNext()`
`Object` `next()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForEachSupport.SimpleForEachIterator

    public ForEachSupport.SimpleForEachIterator(Iterator i)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `ForEachSupport.ForEachIterator`

### next

    public Object next()

  Specified by:
    `next` in interface `ForEachSupport.ForEachIterator`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.